package com.ruoyi.dxp.mapper;

import java.util.List;
import com.ruoyi.dxp.domain.DataIntegration;

/**
 * 整合数据Mapper接口
 *
 * @author jy
 * @date 2022-11-12
 */
public interface DataIntegrationMapper
{
    /**
     * 查询整合数据
     *
     * @param id 整合数据主键
     * @return 整合数据
     */
    public DataIntegration selectDataIntegrationById(Long id);

    /**
     * 查询整合数据列表
     *
     * @param dataIntegration 整合数据
     * @return 整合数据集合
     */
    public List<DataIntegration> selectDataIntegrationList(DataIntegration dataIntegration);

    /**
     * 新增整合数据
     *
     * @param dataIntegration 整合数据
     * @return 结果
     */
    public int insertDataIntegration(DataIntegration dataIntegration);

    /**
     * 修改整合数据
     *
     * @param dataIntegration 整合数据
     * @return 结果
     */
    public int updateDataIntegration(DataIntegration dataIntegration);

    /**
     * 删除整合数据
     *
     * @param id 整合数据主键
     * @return 结果
     */
    public int deleteDataIntegrationById(Long id);

    /**
     * 批量删除整合数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDataIntegrationByIds(Long[] ids);
}
